---
title: 'Some notes on my Neovim journey'
text: "Ever since I learned basic Vim (apparently it's capitalized: https://vi.stackexchange.com/questions/565/what-is-the-correct-capitalization-of-vim) notions, I was hooked. And by the time I found tmux, Vim plugins and switched to Neovim, I never wanted to look back. The only problem I have is that I *never* write down any amazing motion I found online, a keymap I got working. So I'm always looking up the exact same information a week or two later. I hope to change that, either through better note taking or blogging. We'll see what works. For now, here are some motions, keymaps and other features I have been using. TEST\n\n`^Ctrl+v` and `^Ctrl+h` to open files from *NvimTree* in a vertical or horizontal split, respectively.\n\n`<space>sk` to search keymaps using the Telescope fuzzy finder (from the nvim-kickstart setup.\n\n`vi'` to select between f.e. single quotes and `va'` to select around them. Can be yank with `y`.\n\n`ftplugin/python.lua` to recognize filetypes and handle events. In my case for `.py` files, `<A-e>` runs the file in a floating ToggleTerm terminal (use the built-in '<C-d>' to close the floating terminal)"
showtitle: '1'
position: main
page_container: container
---

